import Vue from 'vue'
import Vant from 'vant'
import 'vant/lib/vant-css/index.css'
import App from './App.vue'
import router from './router'
import store from './store'
import VueAwesomeSwiper from 'vue-awesome-swiper'
import 'swiper/dist/css/swiper.css'
import moment from 'moment/moment'
import preview from 'vue-photo-preview'
import 'vue-photo-preview/dist/skin.css'
import AMap from "vue-amap";
import myTouch from "./touch/myTouch";
import 'viewerjs/dist/viewer.css'
import Viewer from 'v-viewer'
// import Exif from 'exif-js'
AMap.initAMapApiLoader({
  key: "73df496773bd9a021d44d32d6e272fb5", //自己申请
  plugin: [
    "AMap.Autocomplete",
    "AMap.PlaceSearch",
    "AMap.Scale",
    "AMap.OverView",
    "AMap.ToolBar",
    "AMap.MapType",
    "AMap.PolyEditor",
    "AMap.CircleEditor",
    "AMap.Geolocation",
    "AMap.Geocoder"
  ]
});



Viewer.setDefaults({
  zIndexInline: 2017,
  toolbar:false,
  navbar:false,
  title:false,
  // movable:false,

})


Vue.filter('moment', function (value, formatString) {
  formatString = formatString || 'YYYY/MM/DD';
  return moment(value).format(formatString);
});


Vue.use(AMap)
Vue.use(Vant)
Vue.use(VueAwesomeSwiper)
Vue.use(preview)
Vue.use(myTouch)
Vue.use(Viewer)

Vue.config.productionTip = false

new Vue({
  el:'#app',
  router,
  store,
  render: h => h(App)
})
